org.omg.CORBA

## Class Environment

- java.lang.Object
- - org.omg.CORBA.Environment

-     public abstract class Environment
      extends Object

  A container (holder) for an exception that is used in `Request` operations to make exceptions available to the client. An `Environment` object is created with the `ORB` method `create_environment`.
  Since:
    JDK1.2

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Environment()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `clear()` | Clears this `Environment` object of its exception.
    `abstract Exception` | `exception()` | Retrieves the exception in this `Environment` object.
    `abstract void` | `exception(Exception except)` | Inserts the given exception into this `Environment` object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Environment

          public Environment()

  - ### Method Detail

    - #### exception

          public abstract Exception exception()

      Retrieves the exception in this `Environment` object.
      Returns:
        the exception in this `Environment` object

    - #### exception

          public abstract void exception(Exception except)

      Inserts the given exception into this `Environment` object.
      Parameters:
        `except` - the exception to be set

    - #### clear

          public abstract void clear()

      Clears this `Environment` object of its exception.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.